# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXInterpolate

Function

Interpolates data values in a Field.

Syntax
`
#include <dx/dx.h>
`

Interpolator DXInterpolate(Interpolator interpolator, int *n,
float *points, Pointer result)

Functional Details

Interpolates up to `*n` points in the data Object associated with `interpolator`. The `points` parameter is a pointer to a list of sample points to be interpolated. The `result` is a pointer to a buffer large enough to hold `*n` elements of the type of the data Object associated with `interpolator`. The input sample points are interpolated sequentially until a point lying outside the data model is encountered, at which time interpolation terminates. This routine returns in `*n` the number of points that remained to be interpolated when a point outside the data Object is found; this is not considered to be an error.

Points must be of the same dimensionality as the positions in the interpolation Object; thus, (x) points are used to interpolate along the line, (x,y) points are used to interpolate in the plane and (x,y,z) points in 3-dimensional space.

Return Value

This routine returns `interpolator` or returns `NULL` and sets an error code.

See Also

`DXLocalizeInterpolator, DXMap, DXMapArray, DXNewInterpolator`

14.2 , "Interpolation and Mapping".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]